Programs

# suexec - Switch user before executing external programs

`suexec` is used by the Apache HTTP Server to switch to another user before executing CGI programs. In order to achieve this, it must run as `root`. Since the HTTP daemon normally doesn't run as `root`, the `suexec` executable needs the setuid bit set and must be owned by `root`. It should never be writable for any other person than `root`.

For further information about the concepts and and the security model of suexec please refer to the suexec documentation (http://httpd.apache.org/docs-2.1/suexec.html).

# Synopsis

`suexec -V`

# Options

`-V`
  If you are `root`, this option displays the compile options of `suexec`. For security reasons all configuration options are changeable only at compile time.